#!/bin/sh
# uncomment the next line to see more of the build process
#set -x
# BUILD script provided by Ready-to-Run Software, Inc.
# Copyright 1994 Ready-to-Run Software, Inc. All Rights Reserved.
BUILDDIR=`pwd`
SOURCEDIR=${SOURCEDIR-/cdrom/SOURCES}
if test ! -d $SOURCEDIR ; then 
   cd `dirname $0`/..; SOURCEDIR=`pwd`
   echo Assuming SOURCEDIR is $SOURCEDIR
   cd $BUILDDIR
fi
INSTALLDIR=${INSTALLDIR-/usr/local}
INSTALLSHAREDIR=${INSTALLSHAREDIR-/usr/local/share}
if test "$1" != ""; then 
   MACHINE=$1
fi
if test "$MACHINE" = ""; then 
   MACHINE=`$SOURCEDIR/../common/guess `
   echo "Assuming machine is $MACHINE"
fi
machine=$MACHINE
echo Ignore any errors about directories already existing
mkdir xgopher
mkdir -p $INSTALLDIR
mkdir $INSTALLDIR/bin
mkdir $INSTALLDIR/lib
mkdir -p $INSTALLSHAREDIR
mkdir $INSTALLSHAREDIR/man
mkdir $INSTALLSHAREDIR/man/man1
mkdir $INSTALLSHAREDIR/doc
mkdir $INSTALLSHAREDIR/${SHAREPREFIX}bin
mkdir $INSTALLSHAREDIR/${SHAREPREFIX}lib
/bin/rm -f $BUILDDIR/zcat
/bin/ln -s $SOURCEDIR/../$machine/bin/zcat $BUILDDIR/zcat


cd $BUILDDIR/xgopher
cat $SOURCEDIR/xgopher/xgoph133.gz | $BUILDDIR/zcat -d -c | tar xvof -
cd xgopher.1.3

(sed -e "s;<installsharedir>;$INSTALLSHAREDIR;" -e "s;<prefix>;$SHAREPREFIX;" -e "s;<installdir>;$INSTALLDIR;"  $SOURCEDIR/xgopher/rtr/xgopher | patch -p -s )
test -f  $SOURCEDIR/xgopher/$machine/xgopher &&( sed -e "s;<installsharedir>;$INSTALLSHAREDIR;" -e "s;<prefix>;$SHAREPREFIX;" -e "s;<installdir>;$INSTALLDIR;"  $SOURCEDIR/xgopher/$machine/xgopher | patch -b .rtr -p -s )

xmkmf
make depend
make
xrdb -merge Xgopher.ad
if test "$RM" != "" ; then make install ; fi
if test "$RM" != "" ; then make install.man ; fi

cd $BUILDDIR/xgopher

cd $BUILDDIR
if test "$RM" != "" ; then rm -rf $BUILDDIR/xgopher ; fi
